import { Links } from './Links';
export interface User {
    name?: string;
    emailAddress?: string;
    id?: number;
    displayName?: string;
    active?: boolean;
    slug?: string;
    type?: string;
}
export interface DetailedUser extends User {
    directoryName?: string;
    deletable?: boolean;
    lastAuthenticationTimestamp?: number;
    mutableDetails?: boolean;
    mutableGroups?: boolean;
    links?: Links;
}
export interface DetailedUsers {
    size?: number;
    limit?: number;
    isLastPage?: boolean;
    start?: number;
    values?: DetailedUser[];
}
//# sourceMappingURL=User.d.ts.map