import { Task } from './Task';
import { User } from './User';
export interface Comment {
    properties?: {
        key?: string;
    };
    id?: number;
    version?: number;
    text?: string;
    author?: User;
    createdDate?: number;
    updatedDate?: number;
    comments?: Comment[];
    tasks?: Task[];
    severity?: string;
    state?: string;
    permittedOperations?: {
        editable?: boolean;
        deletable?: boolean;
    };
}
export interface Comments {
    size?: number;
    limit?: number;
    isLastPage?: boolean;
    start?: number;
    values?: Comment[];
}
//# sourceMappingURL=Comment.d.ts.map