import { User } from './User';
export interface Commit {
    id?: string;
    displayId?: string;
    author?: User;
    authorTimestamp?: number;
    committer?: User;
    committerTimestamp?: number;
    message?: string;
    parents?: {
        id?: string;
        displayId?: string;
    }[];
}
export interface Commits {
    size?: number;
    limit?: number;
    isLastPage?: boolean;
    start?: number;
    values?: Commit[];
    authorCount?: number;
    totalCount?: number;
}
//# sourceMappingURL=Commit.d.ts.map