import { Anchor } from './Anchor';
import { User } from './User';
export interface Task {
    anchor?: Anchor;
    author?: User;
    createdDate?: number;
    id?: number;
    text?: string;
    state?: string;
    permittedOperations?: {
        deletable?: boolean;
        editable?: boolean;
        transitionable?: boolean;
    };
    properties?: Record<string, string>;
}
//# sourceMappingURL=Task.d.ts.map